Bug 244781 - looping with errors at startup
Summary: looping with errors at startup
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: bigboard   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-19 05:54 UTC by Jens Petersen
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 00:27:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2007-06-19 05:54:03 UTC
Description of problem:
Dunno if it is related to recent glib2 changes, but bigboard now
loops at start on rawhide.

How reproducible:
every time

Steps to Reproduce:
1. run bigboard with current Fedora devel
  
Actual results:
on stderr:

***MEMORY-WARNING***: main.py[3415]: GSlice: g_thread_init() must be called
before all other GLib functions; memory corruption due to late invocation of
g_thread_init() has been detected; this program is likely to crash, leak or
unexpectedly abort soon...
/usr/lib/python2.5/site-packages/bigboard/keyring.py:1: Warning:
g_boxed_type_register_static: assertion `g_type_from_name (name) == 0' failed
  import gnomekeyring

** (main.py:3415): CRITICAL **: pyg_register_boxed: assertion `boxed_type != 0'
failed
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files

(bigboard:3415): Gnome-WARNING **: gnome-program.c:1214: cannot load modules
after program is initialized
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:43 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.212 was
not provided by any .service files"
None
"05:46:43 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.212 was
not provided by any .service files"
None
Can't talking to existing instance: D-BUS error: Message did not receive a reply
(timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:43 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.214 was
not provided by any .service files"
None
"05:46:43 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.214 was
not provided by any .service files"
None
"05:46:43 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.214 was
not provided by any .service files"
None
"05:46:43 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.214 was
not provided by any .service files"
None
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Error loading the file: /usr/lib/deskbar-applet/handlers/gdmactions.py.
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/deskbar/ModuleLoader.py", line 91, in
import_module
    mod = pydoc.importfile (filename)
  File "/usr/lib/python2.5/pydoc.py", line 256, in importfile
    raise ErrorDuringImport(path, sys.exc_info())
ErrorDuringImport: problem in /usr/lib/deskbar-applet/handlers/gdmactions.py -
<type 'exceptions.ImportError'>: No module named gdmclient
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files

(bigboard:3415): Gnome-WARNING **: gnome-program.c:1015: Directory properties
not set correctly.  Cannot locate application specific files.
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.218 was
not provided by any .service files"
None
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.218 was
not provided by any .service files"
None
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.218 was
not provided by any .service files"
None
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.218 was
not provided by any .service files"
None
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.221 was
not provided by any .service files"
None
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.221 was
not provided by any .service files"
None
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.221 was
not provided by any .service files"
None
"05:46:48 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.221 was
not provided by any .service files"
None
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:49 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.223 was
not provided by any .service files"
None
"05:46:49 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.223 was
not provided by any .service files"
None
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:49 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.224 was
not provided by any .service files"
None
"05:46:49 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.224 was
not provided by any .service files"
None
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:49 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.225 was
not provided by any .service files"
None
"05:46:49 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.225 was
not provided by any .service files"
None
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:50 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.226 was
not provided by any .service files"
None
"05:46:50 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.226 was
not provided by any .service files"
None
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:50 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.227 was
not provided by any .service files"
None
"05:46:50 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.227 was
not provided by any .service files"
None
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
Introspect error: Message did not receive a reply (timeout by message bus)
"05:46:50 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.228 was
not provided by any .service files"
None
"05:46:50 [-1208379712] bigboard.Mugshot ERROR D-BUS error: The name :1.228 was
not provided by any .service files"
None
Caught SIGINT, departing this dear world
Mugshot: WARNING: No reply to AccountsGetAllActive: The name
net.sf.gaim.GaimService was not provided by any .service files

Expected results:
no errors and not using all cpu

Additional info:
This started happening recently.  If you need more info like stdout too
please ask.

Comment 1 Colin Walters 2007-06-26 16:34:54 UTC
Does upgrading mugshot solve this issue?  I think a related bug may have been
fixed.  I'll take a look today.

Comment 2 Jens Petersen 2007-06-27 00:27:52 UTC
Yes it is fine now.


Note You need to log in before you can comment on or make changes to this bug.